package nq.core {
	
	import flash.utils.IDataOutput;
	
	/**
	 * Интерфейс для всего, что можно сериализовать в байты
	 * 
	 * @author gloomyBrain
	 */
	public interface IByteable {
		
		/**
		 * Сериализует объект в байты в указанное хранилище
		 * 
		 * @param	storage	Хранилище, в которое необходимо записать результыт сериализации объекта
		 * 
		 * @return	Объект хранилища с записанными в него данными
		 */
		function toBytes(storage:IDataOutput = null):IDataOutput;
		
	}
	
}